package com.ssj.service.kmt.correctsys.dto;

import java.io.Serializable;

/**
 * @author Mount Liu
 * @date 2019/5/22
 */
public class ManagerDto implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 管理员id
     */
    private String managerId;
    /**
     * 头像
     */
    private String imgUrl;
    /**
     * 姓名
     */
    private String name;
    /**
     * 小组人数
     */
    private String groupCount;
    /**
     * 老师出勤率
     */
    private String attendanceRate;


    /**
     * 老师在岗率
     */
    private String guardanceRate;
    /**
     * 作业批改总份数
     */
    private String homeworkCount;
    /**
     * 作业批改总张数
     */
    private String homeworkPicCount;
    /**
     * 批改平均用时
     */
    private String avgTime;
    /**
     * 家长平均评分
     */
    private String avgMark;
    /**
     * 是否在线(在线/离线)
     */
    private String status;

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    private String subject;

    public String getManagerId() {
        return managerId;
    }

    public void setManagerId(String managerId) {
        this.managerId = managerId;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getGroupCount() {
        return groupCount;
    }

    public void setGroupCount(String groupCount) {
        this.groupCount = groupCount;
    }

    public String getAttendanceRate() {
        return attendanceRate;
    }

    public void setAttendanceRate(String attendanceRate) {
        this.attendanceRate = attendanceRate;
    }

    public String getHomeworkCount() {
        return homeworkCount;
    }

    public void setHomeworkCount(String homeworkCount) {
        this.homeworkCount = homeworkCount;
    }

    public String getHomeworkPicCount() {
        return homeworkPicCount;
    }

    public void setHomeworkPicCount(String homeworkPicCount) {
        this.homeworkPicCount = homeworkPicCount;
    }

    public String getAvgTime() {
        return avgTime;
    }

    public void setAvgTime(String avgTime) {
        this.avgTime = avgTime;
    }

    public String getAvgMark() {
        return avgMark;
    }

    public void setAvgMark(String avgMark) {
        this.avgMark = avgMark;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getGuardanceRate() {
        return guardanceRate;
    }

    public void setGuardanceRate(String guardanceRate) {
        this.guardanceRate = guardanceRate;
    }
}
